<?php
/*
*	Fichero que controla realiza procesos previos del pedidos_pendientes de perez fernandez
*	@version 1.0.0
*	@date 2018/11/12
*
*/

$enviar = Getter::get('aceptarGastosEnvio' , NULL);
if ($enviar !== NULL){
	//Actualizamos las líneas de pedido dándolas como solicitadas
		//Para ello hemos Creado un campo en la tabla ml_pedcli que indica si está o no solicitado el pedido
	$listaPedidos = PedidoCliente::getPedidosCliente();
	$productosSuman = array();
	$listaCodigos = '';
	$coma = '';
	foreach($listaPedidos as $clave => $valor){
		//Vamos a recorrer todas las líneas para ver lo que suma y lo que no
		$codigo = $valor->codigo . '_';
		$valor->cargarProductos();
		foreach($valor->lineas as $indiceLinea => $linea){
			if ( ($linea->articulo->stock > 0) && ($linea->articulo->estado != 12) ){
				$productosSuman[] = $linea;
				$listaCodigos .= $coma . '\'' . $codigo . $linea->codigo . '\'';
				$coma = ', ';
			}
		}
	}
	$listaCodigos = ($listaCodigos != '') ? '( ' . $listaCodigos . ' )' : '';
	
	$sentenciaPedidos = 'UPDATE `ml_pedcli` SET `solicitado` = 1 WHERE CONCAT(`mc_pedcli`, \'_\', `codigo`) IN ' . $listaCodigos . '; ';
	//echo($sentenciaPedidos);
	$bd = new BaseDatos();
	if ($bd->isConectado()){
		$bd->setConsultaSQL($sentenciaPedidos);
	}
	//Ahora tengo un array que me dice los productos que tengo pendientes. Vamos a extraer el código
	
	//Enviamos un email a evaristo y al cliente
	
	//recargamos la web para que el botón de atrás no furule:
	Sesion::reloadPage(Shop::$configuracion->url . 'historico_pedidos');
}